<?php 

	$interior_architect_custom_style = '';

	// Logo Size
	$interior_architect_logo_top_padding = get_theme_mod('interior_architect_logo_top_padding');
	$interior_architect_logo_bottom_padding = get_theme_mod('interior_architect_logo_bottom_padding');
	$interior_architect_logo_left_padding = get_theme_mod('interior_architect_logo_left_padding');
	$interior_architect_logo_right_padding = get_theme_mod('interior_architect_logo_right_padding');

	if( $interior_architect_logo_top_padding != '' || $interior_architect_logo_bottom_padding != '' || $interior_architect_logo_left_padding != '' || $interior_architect_logo_right_padding != ''){
		$interior_architect_custom_style .=' .logo {';
			$interior_architect_custom_style .=' padding-top: '.esc_attr($interior_architect_logo_top_padding).'px; padding-bottom: '.esc_attr($interior_architect_logo_bottom_padding).'px; padding-left: '.esc_attr($interior_architect_logo_left_padding).'px; padding-right: '.esc_attr($interior_architect_logo_right_padding).'px;';
		$interior_architect_custom_style .=' }';
	}

	// Header Image
	$header_image_url = interior_architect_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$interior_architect_custom_style .=' #inner-pages-header {';
			$interior_architect_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$interior_architect_custom_style .=' }';
	} else {
		$interior_architect_custom_style .=' #inner-pages-header {';
			$interior_architect_custom_style .=' background: radial-gradient(circle at center, rgba(0,0,0,0) 0%, #000000 100%); ';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_slider_hide_show = get_theme_mod('interior_architect_slider_hide_show',false);
	if( $interior_architect_slider_hide_show == true){
		$interior_architect_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$interior_architect_custom_style .=' display:none;';
		$interior_architect_custom_style .=' }';
	}

	//site title tagline
	$interior_architect_site_title_color = get_theme_mod('interior_architect_site_title_color');
	if ( $interior_architect_site_title_color != '') {
		$interior_architect_custom_style .=' h1.site-title a, p.site-title a{';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_site_title_color).'!important;';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_site_tagline_color = get_theme_mod('interior_architect_site_tagline_color');
	if ( $interior_architect_site_tagline_color != '') {
		$interior_architect_custom_style .=' p.site-description{';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_site_tagline_color).'!important;';
		$interior_architect_custom_style .=' }';
	}

	//Header Color
	$interior_architect_header_bg = get_theme_mod('interior_architect_header_bg');
	if ( $interior_architect_header_bg != '') {
		$interior_architect_custom_style .=' #header .R-hd {';
			$interior_architect_custom_style .=' background:'.esc_attr($interior_architect_header_bg).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_header_phoneno_color = get_theme_mod('interior_architect_header_phoneno_color');
	if ( $interior_architect_header_phoneno_color != '') {
		$interior_architect_custom_style .=' #header .hphone a {';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_header_phoneno_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_header_phoneheading_color = get_theme_mod('interior_architect_header_phoneheading_color');
	if ( $interior_architect_header_phoneheading_color != '') {
		$interior_architect_custom_style .=' #header .hphone p {';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_header_phoneheading_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_header_icon_color = get_theme_mod('interior_architect_header_icon_color');
	if ( $interior_architect_header_icon_color != '') {
		$interior_architect_custom_style .=' #header .share-btn li a {';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_header_icon_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_header_icon_colorbg = get_theme_mod('interior_architect_header_icon_colorbg');
	if ( $interior_architect_header_icon_colorbg != '') {
		$interior_architect_custom_style .=' #header .share-btn li a {';
			$interior_architect_custom_style .=' background:'.esc_attr($interior_architect_header_icon_colorbg).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_header_menu_color = get_theme_mod('interior_architect_header_menu_color');
	if ( $interior_architect_header_menu_color != '') {
		$interior_architect_custom_style .=' .nav-menu ul li a {';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_header_menu_color).';';
		$interior_architect_custom_style .=' }';
	}
	
	$interior_architect_activehrvmenu_color = get_theme_mod('interior_architect_activehrvmenu_color');
	if ( $interior_architect_activehrvmenu_color != '') {
		$interior_architect_custom_style .=' .nav-menu ul li.current_page_item a, .current_page_item > a,.nav-menu ul li:hover > a {';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_activehrvmenu_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_activehrvmenubg_color = get_theme_mod('interior_architect_activehrvmenubg_color');
	if ( $interior_architect_activehrvmenubg_color != '') {
		$interior_architect_custom_style .=' .nav-menu ul li.current_page_item:before, .current_page_item > a:before, .nav-menu ul li::before {';
			$interior_architect_custom_style .=' background:'.esc_attr($interior_architect_activehrvmenubg_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_activehrvmenubrd_color = get_theme_mod('interior_architect_activehrvmenubrd_color');
	if ( $interior_architect_activehrvmenubrd_color != '') {
		$interior_architect_custom_style .=' .nav-menu ul li.current_page_item:after, .nav-menu ul li:hover:after {';
			$interior_architect_custom_style .=' background:'.esc_attr($interior_architect_activehrvmenubrd_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_header_submenu_color = get_theme_mod('interior_architect_header_submenu_color');
	if ( $interior_architect_header_submenu_color != '') {
		$interior_architect_custom_style .=' .nav-menu ul ul a {';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_header_submenu_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_header_submenubg_color = get_theme_mod('interior_architect_header_submenubg_color');
	if ( $interior_architect_header_submenubg_color != '') {
		$interior_architect_custom_style .=' .nav-menu ul ul a {';
			$interior_architect_custom_style .=' background:'.esc_attr($interior_architect_header_submenubg_color).';';
		$interior_architect_custom_style .=' }';
	}


	// Slider Color

	$interior_architect_slider_heading_color = get_theme_mod('interior_architect_slider_heading_color');
	if ( $interior_architect_slider_heading_color != '') {
		$interior_architect_custom_style .='.slider_section .title {';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_slider_heading_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_slider_description_color = get_theme_mod('interior_architect_slider_description_color');
	if ( $interior_architect_slider_description_color != '') {
		$interior_architect_custom_style .='.slider_section .text {';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_slider_description_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_slider_btntxt_color = get_theme_mod('interior_architect_slider_btntxt_color');
	if ( $interior_architect_slider_btntxt_color != '') {
		$interior_architect_custom_style .='.slider_section .btn5 a{';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_slider_btntxt_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_slider_btnbrd_color = get_theme_mod('interior_architect_slider_btnbrd_color');
	if ( $interior_architect_slider_btnbrd_color != '') {
		$interior_architect_custom_style .='.slider_section .btn5 a{';
			$interior_architect_custom_style .=' border-color:'.esc_attr($interior_architect_slider_btnbrd_color).';';
		$interior_architect_custom_style .=' }';
	}


	$interior_architect_slider_btnicon_color = get_theme_mod('interior_architect_slider_btnicon_color');
	if ( $interior_architect_slider_btnicon_color != '') {
		$interior_architect_custom_style .='.slider_section .btn5 a span svg{';
			$interior_architect_custom_style .=' fill:'.esc_attr($interior_architect_slider_btnicon_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_slider_btniconbg_color = get_theme_mod('interior_architect_slider_btniconbg_color');
	if ( $interior_architect_slider_btniconbg_color != '') {
		$interior_architect_custom_style .='.slider_section .btn5 a span{';
			$interior_architect_custom_style .=' background:'.esc_attr($interior_architect_slider_btniconbg_color).';';
		$interior_architect_custom_style .=' }';
	}


	$interior_architect_slider_btnbg_color = get_theme_mod('interior_architect_slider_btnbg_color');
	if ( $interior_architect_slider_btnbg_color != '') {
		$interior_architect_custom_style .='.slider_section .btn5 a{';
			$interior_architect_custom_style .=' background:'.esc_attr($interior_architect_slider_btnbg_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_slider_bg_color = get_theme_mod('interior_architect_slider_bg_color');
	if ( $interior_architect_slider_bg_color != '') {
		$interior_architect_custom_style .='.slider_section .msli-oly{';
			$interior_architect_custom_style .=' background:'.esc_attr($interior_architect_slider_bg_color).';';
		$interior_architect_custom_style .=' }';
	}


	// Banner Color
	
	$interior_architect_bannerhead_color = get_theme_mod('interior_architect_bannerhead_color');
	if ( $interior_architect_bannerhead_color != '') {
		$interior_architect_custom_style .='#banner-section .banner-shapetext h4 {';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_bannerhead_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_bannertitle_color = get_theme_mod('interior_architect_bannertitle_color');
	if ( $interior_architect_bannertitle_color != '') {
		$interior_architect_custom_style .='#banner-section .banner_title h2 {';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_bannertitle_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_bannersubtitle_color = get_theme_mod('interior_architect_bannersubtitle_color');
	if ( $interior_architect_bannersubtitle_color != '') {
		$interior_architect_custom_style .='#banner-section .banner_subtitle h3 {';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_bannersubtitle_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_bannerdescription_color = get_theme_mod('interior_architect_bannerdescription_color');
	if ( $interior_architect_bannerdescription_color != '') {
		$interior_architect_custom_style .='#banner-section .banner_distitle p {';
			$interior_architect_custom_style .=' color:'.esc_attr($interior_architect_bannerdescription_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_bannerdescriptionbrd_color = get_theme_mod('interior_architect_bannerdescriptionbrd_color');
	if ( $interior_architect_bannerdescriptionbrd_color != '') {
		$interior_architect_custom_style .='#banner-section .banner_distitle p {';
			$interior_architect_custom_style .=' border-color:'.esc_attr($interior_architect_bannerdescriptionbrd_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_bannerheadbg_color = get_theme_mod('interior_architect_bannerheadbg_color');
	if ( $interior_architect_bannerheadbg_color != '') {
		$interior_architect_custom_style .='#banner-section .banleft-box {';
			$interior_architect_custom_style .=' background:'.esc_attr($interior_architect_bannerheadbg_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_bannercontentbg_color = get_theme_mod('interior_architect_bannercontentbg_color');
	if ( $interior_architect_bannercontentbg_color != '') {
		$interior_architect_custom_style .='#banner-section .banright-box {';
			$interior_architect_custom_style .=' background:'.esc_attr($interior_architect_bannercontentbg_color).';';
		$interior_architect_custom_style .=' }';
	}

	// Service Color

	$interior_architect_servicetitle_color = get_theme_mod('interior_architect_servicetitle_color');
	if ( $interior_architect_servicetitle_color != '') {
		$interior_architect_custom_style .='#service-section h4 {';
			$interior_architect_custom_style .='color:'.esc_attr($interior_architect_servicetitle_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_servicedesciption_color = get_theme_mod('interior_architect_servicedesciption_color');
	if ( $interior_architect_servicedesciption_color != '') {
		$interior_architect_custom_style .='#service-section p {';
			$interior_architect_custom_style .='color:'.esc_attr($interior_architect_servicedesciption_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_servicedesciptionicon_color = get_theme_mod('interior_architect_servicedesciptionicon_color');
	if ( $interior_architect_servicedesciptionicon_color != '') {
		$interior_architect_custom_style .='#service-section p a {';
			$interior_architect_custom_style .='color:'.esc_attr($interior_architect_servicedesciptionicon_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_servicenumber_color = get_theme_mod('interior_architect_servicenumber_color');
	if ( $interior_architect_servicenumber_color != '') {
		$interior_architect_custom_style .='#service-section .service-numb h5 {';
			$interior_architect_custom_style .='color:'.esc_attr($interior_architect_servicenumber_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_servicenumberbg_color = get_theme_mod('interior_architect_servicenumberbg_color');
	if ( $interior_architect_servicenumberbg_color != '') {
		$interior_architect_custom_style .='#service-section .service-numb {';
			$interior_architect_custom_style .='background:'.esc_attr($interior_architect_servicenumberbg_color).';';
		$interior_architect_custom_style .=' }';
	}

	// Footer Color

	$interior_architect_footercopyright_color = get_theme_mod('interior_architect_footercopyright_color');
	if ( $interior_architect_footercopyright_color != '') {
		$interior_architect_custom_style .='#colophon p {';
			$interior_architect_custom_style .='color:'.esc_attr($interior_architect_footercopyright_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_footercopyrightbg_color = get_theme_mod('interior_architect_footercopyrightbg_color');
	if ( $interior_architect_footercopyrightbg_color != '') {
		$interior_architect_custom_style .='.copyright {';
			$interior_architect_custom_style .='background:'.esc_attr($interior_architect_footercopyrightbg_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_footertext_color = get_theme_mod('interior_architect_footertext_color');
	if ( $interior_architect_footertext_color != '') {
		$interior_architect_custom_style .='.widget ul li, .widget ol li,.site-footer h1, .site-footer h2, .site-footer h3, .site-footer h4, .site-footer h5, .site-footer h6, .site-footer p {';
			$interior_architect_custom_style .='color:'.esc_attr($interior_architect_footertext_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_footer1_color = get_theme_mod('interior_architect_footer1_color');
	if ( $interior_architect_footer1_color != '') {
		$interior_architect_custom_style .='.footer-widget-1 {';
			$interior_architect_custom_style .='background:'.esc_attr($interior_architect_footer1_color).';';
		$interior_architect_custom_style .=' }';
	}

	$interior_architect_footerbg_color = get_theme_mod('interior_architect_footerbg_color');
	if ( $interior_architect_footerbg_color != '') {
		$interior_architect_custom_style .='.footer-overlay {';
			$interior_architect_custom_style .='background:'.esc_attr($interior_architect_footerbg_color).';';
		$interior_architect_custom_style .=' }';
	}